#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::DNS;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
         print "Error ! Exec this script as it : create_dns domain";
         print "Example : create_dns prout.com";
}


$user = new Vhffs::User( $princ , "sod" , 401) ;
$group = new Vhffs::Group( $princ , "prout" , 401) ;


my $dns = new Vhffs::Services::DNS( $princ , "$ARGV[0]" , $user , $group );

if( defined $dns )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

my $retour;

if( ( $retour = $dns->create ) > 0)
{
	print "Successfully create dns object in the database\n";
}
else
{
	print "ERROR while create dns object in the database $retour\n";
}

if ( $dns->fetch < 0 )
{
	print "error while fetching informations in the database";
}
else
{
	print "fetch reussi\n";
$dns->commit;

$dns->add_a("prou" , "900.10.10.3");
$dns->add_mx("mx.".$ARGV[0]);
}
